Package org.jfree.layouting.input.style.parser.stylehandler

## Class ListOfPairReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`
  Direct Known Subclasses:
    `BackgroundPositionReadHandler`, `QuotesReadHandler`

      public abstract class ListOfPairReadHandler
      extends java.lang.Object
      implements CSSValueReadHandler

  Creation-Date: 26.11.2005, 19:23:09
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ListOfPairReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addToResultList​(java.util.ArrayList values, CSSValue firstPosition, CSSValue secondPosition)` |
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `protected abstract CSSValue` | `parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)` |
    `protected abstract CSSValue` | `parseSecondPosition​(org.w3c.css.sac.LexicalUnit value, CSSValue first)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOfPairReadHandler

          protected ListOfPairReadHandler​()

  - ### Method Detail

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`

    - #### addToResultList

          protected void addToResultList​(java.util.ArrayList values,
                                         CSSValue firstPosition,
                                         CSSValue secondPosition)

    - #### parseFirstPosition

          protected abstract CSSValue parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)

    - #### parseSecondPosition

          protected abstract CSSValue parseSecondPosition​(org.w3c.css.sac.LexicalUnit value,
                                                          CSSValue first)